Package org.zkoss.bind.sys.debugger.impl

## Class DefaultDebuggerFactory

- java.lang.Object
- - org.zkoss.bind.sys.debugger.DebuggerFactory
  - - org.zkoss.bind.sys.debugger.impl.DefaultDebuggerFactory

-     public class DefaultDebuggerFactory
      extends DebuggerFactory

  The default implementation of `DebuggerFactory` it is execution scope implementation and provides client-log and system-out implementation
  Since:
    6.5.2
  Author:
    dennis

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.sys.debugger.DebuggerFactory

      `ENABLE_PROP, FACTORY_CLASS_PROP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultDebuggerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BindingExecutionInfoCollector` | `createBindingExecutionInfoCollector()` |
    `protected BindingAnnotationInfoChecker` | `createDefaultAnnotationInfoChecker()` |
    `BindingAnnotationInfoChecker` | `getAnnotationInfoChecker()` | Get the checker, the sub-class have to consider the thread-safe issue when implementing.
    `BindingExecutionInfoCollector` | `getExecutionInfoCollector()` | Get the collector, the sub-class have to consider the thread-safe issue when implementing.

    - ### Methods inherited from class org.zkoss.bind.sys.debugger.DebuggerFactory

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDebuggerFactory

          public DefaultDebuggerFactory()

  - ### Method Detail

    - #### getExecutionInfoCollector

          public BindingExecutionInfoCollector getExecutionInfoCollector()

      Description copied from class: `DebuggerFactory`
      Get the collector, the sub-class have to consider the thread-safe issue when implementing.
      Specified by:
        `getExecutionInfoCollector` in class `DebuggerFactory`
      Returns:
        the BindingExecutionInfoCollector or null if isn't existed

    - #### createBindingExecutionInfoCollector

          protected BindingExecutionInfoCollector createBindingExecutionInfoCollector()

    - #### getAnnotationInfoChecker

          public BindingAnnotationInfoChecker getAnnotationInfoChecker()

      Description copied from class: `DebuggerFactory`
      Get the checker, the sub-class have to consider the thread-safe issue when implementing.
      Specified by:
        `getAnnotationInfoChecker` in class `DebuggerFactory`
      Returns:
        the BindingAnnotationInfoChecker or null if isn't existed

    - #### createDefaultAnnotationInfoChecker

          protected BindingAnnotationInfoChecker createDefaultAnnotationInfoChecker()